//filename:contiki-main.c

#include <stdint.h>
#include <stdio.h>
#include <sys/process.h>
#include <sys/procinit.h>
#include <etimer.h>
#include <sys/autostart.h>
#include <clock.h>

#include <io430.h>


int main()
{
  WDTCTL = WDTPW + WDTHOLD;
 
  clock_init();

  process_init(); 
  process_start(&etimer_process, NULL); 
  autostart_start(autostart_processes); 

  while (1)
  {
    do
    {
    }
    while (process_run() > 0);
  }
  return 0;
}